MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024212Open CASCADE[OCCT] OCCT:Application Frameworkpublic2013-09-30 16:422013-12-19 13:58
Reporterabv 
Assigned Toszy 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024212: Move OCAF sample code to samples
DescriptionIn context of 0024172, a few files containing unused sample code demonstrating possible usage of OCAF libraries have been removed. It would be logical to restore this code as part of OCCT samples or / and include them to documentation.
Steps To ReproduceNot applicable.
Additional information
and documentation updates
The specified samples dedicated to get initial knowledge about typical actions with OCAF services.
All samples are compilable, but the method 'Sample()' of each file is not
dedicated for execution 'as is'. Rather it can be considered as set of
logical actions using some OCAF service. It may be useful for newcomers.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023962closedbugmaster Moving OCCT documentation to sources 
related to 0024172closedbugmaster Compiler warnings 'unreacheable code' and 'unreferenced local function' in OCAF 

-  Notes
(0025851)
szy (manager)
2013-10-02 18:26

OCAF samples are moved to 'Samples' directory.
I also suggest to add reference to OCAF User's Guide to these samples.
May be at Appendix (to be coordinated with YSN).
Review, please.
(0025852)
szy (manager)
2013-10-02 18:29

Branch - CR24212.
(0026094)
abv (manager)
2013-10-15 20:51

Reviewed, please integrate (no testing is needed); note that it adds new folder to samples -- this should be accounted in OCCT packaging
(0026242)
ysn (developer)
2013-10-23 16:20

The text about samples has been added to OCAF guide (in 24269 branch).
(0026281)
bugmaster (administrator)
2013-10-25 14:45

Fix has been integrated into master of occt repository

- Issue History
Date Modified Username Field Change
2013-09-30 16:42 abv New Issue
2013-09-30 16:42 abv Assigned To => szy
2013-09-30 16:52 szy Status new => assigned
2013-09-30 16:52 abv Relationship added related to 0024172
2013-09-30 16:52 abv Relationship added related to 0023962
2013-10-02 18:26 szy Note Added: 0025851
2013-10-02 18:26 szy Assigned To szy => abv
2013-10-02 18:26 szy Status assigned => resolved
2013-10-02 18:27 szy Additional Information Updated View Revisions
2013-10-02 18:29 szy Note Added: 0025852
2013-10-02 18:29 szy Steps to Reproduce Updated View Revisions
2013-10-15 20:51 abv Note Added: 0026094
2013-10-15 20:51 abv Assigned To abv => bugmaster
2013-10-15 20:51 abv Status resolved => reviewed
2013-10-23 12:39 bugmaster Assigned To bugmaster => ysn
2013-10-23 16:15 ysn Note Added: 0026241
2013-10-23 16:20 ysn Note Added: 0026242
2013-10-23 16:20 ysn Assigned To ysn => bugmaster
2013-10-23 16:20 ysn Status reviewed => tested
2013-10-23 16:20 ysn Note Deleted: 0026241
2013-10-23 17:21 bugmaster Test case number => Not needed
2013-10-25 14:45 bugmaster Note Added: 0026281
2013-10-25 14:45 bugmaster Status tested => verified
2013-10-25 14:45 bugmaster Resolution open => fixed
2013-10-25 14:45 bugmaster Assigned To bugmaster => szy
2013-12-19 13:51 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker